Bug 11137 - subunit changes needed to cleanly backport patches to 4.2
subunit changes needed to cleanly backport patches to 4.2
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
Blocks: 10371 10493
  Show dependency treegraph
Reported: 2015-03-06 02:32 UTC by Andrew Bartlett
Modified: 2015-03-27 20:06 UTC (History)
3 users (show)

See Also:

4.2 patch cherry-picked from master (with modifications) (266.20 KB, patch)
2015-03-06 02:39 UTC, Andrew Bartlett
jelmer: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2015-03-06 02:32:37 UTC
The changes to our subunit layer in the time since 4.2 was forked mean that patches for tests no longer backport cleanly.  

This bug is to backport those changes and so to make the other changes safe to cherry-pick
Comment 1 Andrew Bartlett 2015-03-06 02:39:21 UTC
Created attachment 10823 [details]
4.2 patch cherry-picked from master (with modifications)

A small modification was needed on the token_groups patch, as it appears in 4.2 in a different order with the tokenGroupsGlobalAndUniversal patch compared to master.
Comment 2 Andrew Bartlett 2015-03-10 23:42:02 UTC
Re-assigning to Karolin for 4.2, to allow the blocked patches to be merged when they are reviewed.
Comment 3 Karolin Seeger 2015-03-15 21:07:09 UTC
Pushed to autobuild-v4-2-test.
Comment 4 Andrew Bartlett 2015-03-18 03:51:48 UTC
I don't know why this didn't make it into 4.2, but I've tested a local make test, and it failed with errors in s4winbind.  But the full set of 4.2 patches I have pending just passed an autobuild.
Comment 5 Andrew Bartlett 2015-03-18 21:30:08 UTC
A full autobuild on just these patches has passed for me on sn-devel, so I think the issues I saw were just local.  Please let me know what errors you get from pushing these, if it happens again.
Comment 6 Karolin Seeger 2015-03-27 20:06:41 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-2-test.
Closing out bug report.